/*
CREATE DATABASE [autodatabase] ON PRIMARY
( NAME = N'autodatabase', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\autodatabase.mdf' ,
SIZE = 3072KB , FILEGROWTH = 1024KB )
LOG ON
( NAME = N'autodatabase_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10_50.MSSQLSERVER\MSSQL\DATA\autodatabase_log.ldf',
SIZE = 1024KB , FILEGROWTH = 10%)
*/

/*
CREATE TABLE auto(
id_auto INT IDENTITY(1,1) NOT NULL PRIMARY KEY,
id_model INT NOT NULL FOREIGN KEY (id_model) REFERENCES model (id_model),
rok_vyroby date NOT NULL,
id_palivo INT NOT NULL FOREIGN KEY (id_palivo) REFERENCES palivo (id_palivo),
tachometer INT,
id_prevodovka INT NOT NULL FOREIGN KEY (id_prevodovka) REFERENCES prevodovka (id_prevodovka),
id_karoseria INT NOT NULL FOREIGN KEY (id_karoseria) REFERENCES karoseria (id_karoseria),
cena smallmoney not null,
info varchar(500),
predajca varchar(30),
tel_cislo varchar(15) NOT NULL,
id_typs INT FOREIGN KEY (id_typs) REFERENCES typs (id_typs)
);
*/

/*
CREATE TABLE model(
id_model INT IDENTITY(1,1) NOT NULL PRIMARY KEY,
id_znacka INT NOT NULL FOREIGN KEY (id_znacka) REFERENCES znacka (id_znacka),
nazov varchar(20) NOT NULL
);
*/

/*
CREATE TABLE znacka(
id_znacka INT IDENTITY(1,1) NOT NULL PRIMARY KEY,
nazov varchar(20) NOT NULL
);

CREATE TABLE palivo(
id_palivo INT IDENTITY(1,1) NOT NULL PRIMARY KEY,
nazov varchar(20) NOT NULL
);

CREATE TABLE prevodovka(
id_prevodovka INT IDENTITY(1,1) NOT NULL PRIMARY KEY,
nazov varchar(20) NOT NULL
);

CREATE TABLE karoseria(
id_karoseria INT IDENTITY(1,1) NOT NULL PRIMARY KEY,
nazov varchar(20) NOT NULL
);

create table typs
(
id_typs INT IDENTITY(1,1) NOT NULL PRIMARY KEY,
nazov varchar(20) NOT NULL 
);

CREATE TABLE rezervacia(
id_rezervacia INT IDENTITY(1,1) NOT NULL PRIMARY KEY,
id_auto INT NOT NULL FOREIGN KEY (id_auto) REFERENCES dbo.auto (id_auto) unique,
meno varchar(30) not null,
tel_cislo varchar(15) NOT NULL,
email varchar(30)
);
*/

/*
INSERT INTO palivo VALUES
('Benzn'),
('Diesel'),
('Elektro'),
('Benzn/Plyn'),
('Benzn/Elektro'),
('Diesel/Elektro')
;

INSERT INTO prevodovka VALUES
('Manulna'),
('Automatick')
;

INSERT INTO typs VALUES
('Nov'),
('Nebran'),
('Bran'),
('Na nhradn diely')
;

INSERT INTO karoseria VALUES
('Sedan'),
('Combi'),
('Cabrio'),
('Coup'),
('Hatchback'),
('MPV'),
('VAN'),
('Pick-up'),
('SUV')
;
*/

/*
INSERT INTO znacka VALUES
('Audi'),
('BMW'),
('Citroen'),
('Fiat'),
('Hyundai'),
('Kia'),
('Opel'),
('Peugeot'),
('Renault'),
('koda'),
('Volkswagen'),
('Ford')
;
*/

/*
INSERT INTO model VALUES
(1,'A1'),
(1,'A4'),
(1,'A5'),
(1,'Q7'),
(1,'TT'),
(2,'M3'),
(2,'rad 1'),
(2,'rad 3'),
(2,'rad 5'),
(2,'X5'),
(3,'C1'),
(3,'C2'),
(3,'C3'),
(3,'C4'),
(3,'C5'),
(4,'Bravo'),
(4,'Coup'),
(4,'Punto'),
(4,'Stilo'),
(4,'Tipo'),
(5,'i20'),
(5,'ix20'),
(5,'i30'),
(5,'i40'),
(5,'ix35'),
(6,'Ceed'),
(6,'Rio'),
(6,'Optima'),
(6,'Soul'),
(6,'Sportage'),
(7,'Corsa'),
(7,'Astra'),
(7,'Vectra'),
(7,'Tigra'),
(7,'Zafira'),
(8,'207'),
(8,'307'),
(8,'407'),
(8,'508'),
(8,'Partner'),
(9,'Clio'),
(9,'Mgane'),
(9,'Scnic'),
(9,'Fluence'),
(9,'Kangoo'),
(10,'Citigo'),
(10,'Fabia'),
(10,'Rapid'),
(10,'Octavia'),
(10,'Superb'),
(11,'Polo'),
(11,'Jetta'),
(11,'Golf'),
(11,'Passat'),
(11,'Touareg'),
(12,'Fiesta'),
(12,'Focus'),
(12,'Grand C-Max'),
(12,'Kuga'),
(12,'Mondeo')
;
*/

/*
INSERT INTO dbo.auto VALUES
(1,'2005',1,152354,1,5,9200,'Garovan. Nikdy nebran. TOP stav.','Tom Samek','0902542352',2),
(47,'2008',2,32500,1,5,6500,'Garovan. Vemi zachoval.','Luk Guek.','0915967325',2),
(60,'2003',1,212000,1,1,3300,'Po rchlom jednan mon dohoda.',NULL,'0902542352',2),
(53,'2000',1,225000,1,5,3000,'Imobilizr, elektrick okn, ISP, ABS, ESP.','Radek Matula','0907321654',3),
(53,'2005',2,167000,2,5,5600,'letne pneu na elektronoch uplne nove a zimne tiez nove na plechovych diskoch','Rudolf kultty','0949883291',2),
(45,'2011',2,68200,1,8,11200,'Monos odpotu DPH.','Ina Skalica','0911257842',2),
(10,'2012',2,41000,2,9,24300,'Palubn pota, Tempomat, Koen interir, Tnovan skl. Mon ver.','Autosaln Krka','0903111555',2),
(51,'2007',1,115000,1,5,6000,'Prv majite, Serv. knika, Nikdy bran, Mon leasing, Mon vmena.','Autokomplex Senica','0948536421',2),
(32,'2005',2,153000,1,5,5300,'Parkovac asistent, Hlinkov disky, Mon dohoda, pln servisn histria.','Vincent Luk','0905505240',2),
(23,'2007',1,148000,1,5,6540,'Mon vmena, Mon ver, Kontrola originality.','jokas','0915772556',2),
(23,'2007',1,56405,1,5,6900,'po nefajiarovi, ako nov, jezd pkn, vz bez investic','AAA Auto','0900300300',2),
(12,'2010',2,49469,1,5,5400,'vozidlo s nzkou spotebou a nzkm povinnm ruenm, dostupn servis','AAA Auto','0900300300',2),
(5,'2007',1,170000,1,4,14900,'Serv. knika, TOP stav !, pln servisn histria','Pavol Hubek','0910929419',2),
(55,'2007',2,160000,2,9,10900,'Vozidlo je poctivo servisovan, vo vbornom stave, vzduchov podvozok je bez zvad ako aj automatick prevodovka','Jaroslav Kurejk','0907819657',2),
(43,'2002',2,177450,1,6,2550,'Maximalne zachoval interier i exterier.','AutoMB','0911116852',2),
(40,'2006',2,113000,1,8,2990,'Prv majite, Serv. knika, Ako nov kpen v SR, Mon odpoet DPH.','Ludovt Lego','0908565363',2),
(15,'2012',6,30,2,1,23630,'Hlinkov disky, Hmlovky, Palubn pota, Tempomat.',NULL,'0300653452',1),
(52,'1998',1,null,1,1,500,'Bez TP, nepojazdn, na nhradn diely.','Marta rkov','0903563956',4)
;
*/

/*
INSERT INTO rezervacia VALUES
(12,'Martin Kling','0949123834','martinklingac@gmail.com')
;
*/

/*select znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
palivo.nazov as 'Palivo', tachometer as 'Najazden', prevodovka.nazov as 'Prevodovka', 
karoseria.nazov as 'Karosria', cena as 'Cena', info as 'Informcie', predajca as 'Predajca', 
tel_cislo as 'Telefonn slo', typs.nazov as 'Typ' from dbo.auto

inner join model on
	model.id_model = auto.id_model
inner join znacka on
	znacka.id_znacka = model.id_znacka
inner join palivo on
	palivo.id_palivo = auto.id_palivo
inner join prevodovka on
	prevodovka.id_prevodovka = auto.id_prevodovka
inner join karoseria on
	karoseria.id_karoseria = auto.id_karoseria
left join typs on
	typs.id_typs = auto.id_typs
	
where (palivo.nazov='Diesel') and (prevodovka.nazov='Manulna') and (cena<=6000)
order by znacka.nazov
*/

/*
select znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
palivo.nazov as 'Palivo', tachometer as 'Najazden', prevodovka.nazov as 'Prevodovka', 
karoseria.nazov as 'Karosria', cena as 'Cena', info as 'Informcie', predajca as 'Predajca', 
tel_cislo as 'Telefonn slo', typs.nazov as 'Typ' from dbo.auto
inner join model on
model.id_model = auto.id_model
inner join znacka on
znacka.id_znacka = model.id_znacka
inner join palivo on
palivo.id_palivo = auto.id_palivo
inner join prevodovka on
prevodovka.id_prevodovka = auto.id_prevodovka
inner join karoseria on
karoseria.id_karoseria = auto.id_karoseria
left join typs on
typs.id_typs = auto.id_typs
where (znacka.nazov='Opel') and (model.nazov='Astra') and (palivo.nazov='Diesel')
order by znacka.nazov
*/

/*
select znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
palivo.nazov as 'Palivo', tachometer as 'Najazden', prevodovka.nazov as 'Prevodovka', 
karoseria.nazov as 'Karosria', cena as 'Cena', info as 'Informcie', predajca as 'Predajca', 
tel_cislo as 'Telefonn slo', typs.nazov as 'Typ' from dbo.auto
inner join model on
model.id_model = auto.id_model
inner join znacka on
znacka.id_znacka = model.id_znacka
inner join palivo on
palivo.id_palivo = auto.id_palivo
inner join prevodovka on
prevodovka.id_prevodovka = auto.id_prevodovka
inner join karoseria on
karoseria.id_karoseria = auto.id_karoseria
left join typs on
typs.id_typs = auto.id_typs
where (znacka.nazov='Volkswagen' or znacka.nazov='Hyundai') and (rok_vyroby>='2000') and (palivo.nazov='Benzn')
order by znacka.nazov
*/

/*
select znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
palivo.nazov as 'Palivo', tachometer as 'Najazden', prevodovka.nazov as 'Prevodovka', 
karoseria.nazov as 'Karosria', cena as 'Cena', info as 'Informcie', ISNULL(Predajca, 'Neznmy') as 'Predajca', 
tel_cislo as 'Telefonn slo', typs.nazov as 'Typ'
from dbo.auto,dbo.znacka,dbo.model,dbo.palivo,dbo.prevodovka,dbo.karoseria,dbo.typs
where (znacka.id_znacka = model.id_znacka) and (model.id_model = auto.id_model)
	and (palivo.id_palivo = auto.id_palivo) and (prevodovka.id_prevodovka = auto.id_prevodovka)
	and (karoseria.id_karoseria = auto.id_karoseria) and ((typs.id_typs = auto.id_typs))
order by znacka.nazov
*/

/*
(
	/* Vyber vpisu */
	select	znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
			palivo.nazov as 'Palivo', tachometer as 'Najazden', cena as 'Cena' 
	from dbo.auto
		
	/* Prepojenie */
	inner join model on
		model.id_model = auto.id_model
	inner join znacka on
		znacka.id_znacka = model.id_znacka
	inner join palivo on
		palivo.id_palivo = auto.id_palivo
		
	/* Podmienky */
	where	not exists
			(
				select * from dbo.auto, dbo.model, dbo.znacka
				where	(znacka.id_znacka = model.id_znacka) 
						and (model.id_model = auto.id_model) 
						and (znacka.nazov = 'Fiat')
			) 
			
)
union
(
	/* Vyber vpisu */
	select	znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
			palivo.nazov as 'Palivo', tachometer as 'Najazden', cena as 'Cena'
	from dbo.auto
		
	/* Prepojenie */
	inner join model on
		model.id_model = auto.id_model
	inner join znacka on
		znacka.id_znacka = model.id_znacka
	inner join palivo on
		palivo.id_palivo = auto.id_palivo
	
	/* Podmienky */				
	where	(znacka.nazov = 'Fiat')

)
*/

/*
	IF not exists(
				select * from dbo.auto, dbo.model, dbo.znacka
				where	(znacka.id_znacka = model.id_znacka) 
						and (model.id_model = auto.id_model) 
						and (znacka.nazov = 'Fiat')
			 ) 
	BEGIN 
		/* Vyber vpisu */
		select	znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
				palivo.nazov as 'Palivo', tachometer as 'Najazden', cena as 'Cena' 
		from dbo.auto
		
		/* Prepojenie */
		inner join model on
			model.id_model = auto.id_model
		inner join znacka on
			znacka.id_znacka = model.id_znacka
		inner join palivo on
			palivo.id_palivo = auto.id_palivo;
	 END
	 ELSE
	 BEGIN 
		/* Vyber vpisu */
		select	znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
				palivo.nazov as 'Palivo', tachometer as 'Najazden', cena as 'Cena' 
		from dbo.auto
		
		/* Prepojenie */
		inner join model on
			model.id_model = auto.id_model
		inner join znacka on
			znacka.id_znacka = model.id_znacka
		inner join palivo on
			palivo.id_palivo = auto.id_palivo
		
		/* Podmienka */				
		where	(znacka.nazov = 'Fiat');
	END
*/

/*
select top 7 znacka.nazov as 'Znaka',model.nazov as 'Model', tachometer as 'Najazden',cena as 'Cena',typs.nazov as 'Typ'
from dbo.auto

inner join model on
	model.id_model = auto.id_model
inner join znacka on
	znacka.id_znacka = model.id_znacka
left join typs on
	typs.id_typs = auto.id_typs

where not(typs.nazov='Bran')

order by cena desc, tachometer



select top 7 znacka.nazov as 'Znaka',model.nazov as 'Model', tachometer as 'Najazden',cena as 'Cena',typs.nazov as 'Typ'
from dbo.auto

inner join model on
	model.id_model = auto.id_model
inner join znacka on
	znacka.id_znacka = model.id_znacka
left join typs on
	typs.id_typs = auto.id_typs

where not exists(
					select * from auto
					where	typs.id_typs=auto.id_typs
							and typs.nazov='Bran'
				)

order by cena desc, tachometer
*/

/*
select znacka.nazov,count(znacka.nazov) as 'Poet aut' from dbo.auto,dbo.model,dbo.znacka
where model.id_model = auto.id_model and znacka.id_znacka = model.id_znacka
group by znacka.nazov
order by count(znacka.nazov) desc
*/

/*
select	znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
		palivo.nazov as 'Palivo', tachometer as 'Najazden', prevodovka.nazov as 'Prevodovka', 
		karoseria.nazov as 'Karosria', cena as 'Cena', info as 'Informcie', ISNULL(Predajca, 'Neznmy') as 'Predajca', 
		tel_cislo as 'Telefonn slo', typs.nazov as 'Typ'
from dbo.auto

inner join model on
	model.id_model = auto.id_model
inner join znacka on
	znacka.id_znacka = model.id_znacka
inner join palivo on
	palivo.id_palivo = auto.id_palivo
inner join prevodovka on
	prevodovka.id_prevodovka = auto.id_prevodovka
inner join karoseria on
	karoseria.id_karoseria = auto.id_karoseria
inner join typs on
	typs.id_typs = auto.id_typs
	
where not exists( select * from rezervacia
				where id_auto=auto.id_auto)
*/		
				
/*				
select	znacka.nazov as 'Znaka', model.nazov as 'Model', YEAR(rok_vyroby) as 'Rok vroby', 
		palivo.nazov as 'Palivo', tachometer as 'Najazden', prevodovka.nazov as 'Prevodovka', 
		karoseria.nazov as 'Karosria', cena as 'Cena', info as 'Informcie', ISNULL(Predajca, 'Neznmy') as 'Predajca', 
		tel_cislo as 'Telefonn slo', typs.nazov as 'Typ'
from dbo.auto

inner join model on
	model.id_model = auto.id_model
inner join znacka on
	znacka.id_znacka = model.id_znacka
inner join palivo on
	palivo.id_palivo = auto.id_palivo
inner join prevodovka on
	prevodovka.id_prevodovka = auto.id_prevodovka
inner join karoseria on
	karoseria.id_karoseria = auto.id_karoseria
inner join typs on
	typs.id_typs = auto.id_typs
	
where exists( select * from rezervacia
				where id_auto=auto.id_auto)
*/
 
/*            
select predajca,cena from dbo.auto
where NOT predajca='Martin Belanec'
*/

/*
select predajca,cena from dbo.auto
where NOT predajca='Martin Belanec' AND cena>2999
*/

/*
select predajca,cena from dbo.auto
where NOT predajca='Martin Belanec' OR cena>2999
*/

/*
select predajca,cena from dbo.auto a
where NOT EXISTS(	
					select * from dbo.auto b 
					where a.predajca=b.predajca 
					AND b.predajca='Martin Belanec'
		     ) 
	AND cena>2999
*/
